Skip to main content
Browse Docs
On This Page
View Markdown~447 tokensDownload Markdown~447 tokens

Extract from DOC

Use this extractor for .doc files. It can extract page renders into a ZIP result.

Try Extract from Word in the browser ->

Extract.FAST uses this same API -- what you see in the browser is what you get in code.

Quick reference

FieldValue
Source file type.doc
Source groupDocuments
Submit endpointPOST https://api.tools.fast/extract
Estimate endpointPOST https://api.tools.fast/extract/estimate/doc
ResultZIP download
Default capabilitiesword.pages
Max file sizefree: 50 MB; pro: 2048 MB
Document limitsfree: 2000 document units; pro: 2000 document units
Duration limitsNot applicable

Capabilities

CapabilityDefaultOptionsPricingDescription
word.pagesYesNoneIncludedPage snapshots ready to skim without opening the document.

Options payload with all capabilities

Use this shape when you want to explicitly configure every supported output for this source type.

{
  "extraction": {
    "selectedCapabilities": [
      "word.pages"
    ],
    "includeManifest": true
  }
}

Estimate example

curl -sS -X POST "https://api.tools.fast/extract/estimate/doc" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "fileSizeMb": 10,
  "pageCount": 12,
  "options": {
    "extraction": {
      "selectedCapabilities": [
        "word.pages"
      ],
      "includeManifest": true
    }
  }
}'

Extract example with all options configured

curl -sS -X POST "https://api.tools.fast/extract" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "[email protected]" \
  -F 'options={
  "extraction": {
    "selectedCapabilities": [
      "word.pages"
    ],
    "includeManifest": true
  }
}'

Machine-readable discovery

GET /options/doc
GET /extractors/doc
Copied